using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class InitCreaturePanelScript : MonoBehaviour {
    private Image creatureImage;
    [SerializeField] Image healthBar;

    private void Awake() {
        creatureImage = GetComponent<Image>();
    }

    public void SetImage(Sprite sprite) {
        creatureImage.sprite = sprite;
    }

    public void UpdateHealthBar(float fillValue) {
        healthBar.fillAmount = fillValue;
    }
}
